Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354443 - /usr/libexec/qemu-kvm: undefined symbol: libusb_free_ss_endpoint_companion_descriptor
Summary: /usr/libexec/qemu-kvm: undefined symbol: libusb_free_ss_endpoint_companion_de...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: All
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 10:32 UTC by Xueqiang Wei
Modified: 2016-11-07 21:22 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-15.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:22:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Description Xueqiang Wei 2016-07-11 10:32:55 UTC
Description of problem:

# /usr/libexec/qemu-kvm -version
/usr/libexec/qemu-kvm: symbol lookup error: /usr/libexec/qemu-kvm: undefined symbol: libusb_free_ss_endpoint_companion_descriptor





Version-Release number of selected component (if applicable):

kernel-3.10.0-455.el7.x86_64
qemu-kvm-rhev-2.6.0-11.el7



How reproducible:
100%


Steps to Reproduce:
1. download qemu-kvm-rhev packages from brew web
  # ls qemu*
  qemu-img-rhev-2.6.0-12.el7.x86_64.rpm
  qemu-kvm-common-rhev-2.6.0-12.el7.x86_64.rpm
  qemu-kvm-rhev-2.6.0-12.el7.x86_64.rpm
  qemu-kvm-rhev-debuginfo-2.6.0-12.el7.x86_64.rpm
  qemu-kvm-tools-rhev-2.6.0-12.el7.x86_64.rpm
2. update qemu-kvm-rhev
  # rpm -Uvh qemu-*
3.check the version 
  # /usr/libexec/qemu-kvm -version


Actual results:
after step 2: update successfully
# rpm -Uvh qemu-*
Preparing...                          ################################# [100%]
Updating / installing...
   1:qemu-kvm-common-rhev-10:2.6.0-12.################################# [ 10%]
   2:qemu-img-rhev-10:2.6.0-12.el7    ################################# [ 20%]
   3:qemu-kvm-rhev-10:2.6.0-12.el7    ################################# [ 30%]
   4:qemu-kvm-tools-rhev-10:2.6.0-12.e################################# [ 40%]
   5:qemu-kvm-rhev-debuginfo-10:2.6.0-################################# [ 50%]
Cleaning up / removing...
   6:qemu-kvm-rhev-10:2.6.0-11.el7    ################################# [ 60%]
   7:qemu-kvm-tools-rhev-10:2.6.0-11.e################################# [ 70%]
   8:qemu-kvm-rhev-debuginfo-10:2.6.0-################################# [ 80%]
   9:qemu-img-rhev-10:2.6.0-11.el7    ################################# [ 90%]
  10:qemu-kvm-common-rhev-10:2.6.0-11.################################# [100%]

but after step 3, return message:
/usr/libexec/qemu-kvm: symbol lookup error: /usr/libexec/qemu-kvm: undefined symbol: libusb_free_ss_endpoint_companion_descriptor


Expected results:
display the correct version:
QEMU emulator version 2.6.0 (qemu-kvm-rhev-2.6.0-12.el7), Copyright (c) 2003-2008 Fabrice Bellard


Additional info:

Comment 1 Xueqiang Wei 2016-07-11 10:47:46 UTC
if downgrade to qemu-kvm-rhev-2.6.0-11.el7, run the command "/usr/libexec/qemu-kvm -version", it is ok.

# rpm -ivh qemu-*
Preparing...                          ################################# [100%]
Updating / installing...
   1:qemu-kvm-common-rhev-10:2.6.0-11.################################# [ 20%]
   2:qemu-img-rhev-10:2.6.0-11.el7    ################################# [ 40%]
   3:qemu-kvm-rhev-10:2.6.0-11.el7    ################################# [ 60%]
   4:qemu-kvm-tools-rhev-10:2.6.0-11.e################################# [ 80%]
   5:qemu-kvm-rhev-debuginfo-10:2.6.0-################################# [100%]

# /usr/libexec/qemu-kvm -version
QEMU emulator version 2.6.0 (qemu-kvm-rhev-2.6.0-11.el7), Copyright (c) 2003-2008 Fabrice Bellard

Maybe some issues in the package qemu-kvm-rhev-2.6.0-12.el7

Comment 7 Qunfang Zhang 2016-07-15 06:14:29 UTC
This issue also happens on ppc64le host.

Comment 8 Miroslav Rezanina 2016-07-22 09:12:16 UTC
Fix included in qemu-kvm-rhev-2.6.0-15.el7

Comment 10 Gu Nini 2016-07-22 09:45:51 UTC
Xueqiang,

Could you please help to verify the bug after the fix?

Thanks!
Nini

Comment 11 Xueqiang Wei 2016-07-25 03:00:33 UTC
(In reply to Gu Nini from comment #10)
> Xueqiang,
> 
> Could you please help to verify the bug after the fix?
> 
> Thanks!
> Nini


Nini,

Verified on fixed version: qemu-kvm-rhev-2.6.0-15.el7, the test is passed. For the details as below:

# rpm -qa|grep qemu
qemu-kvm-rhev-2.6.0-12.el7.x86_64
ipxe-roms-qemu-20160127-1.git6366fa7a.el7.noarch
qemu-img-rhev-2.6.0-12.el7.x86_64
qemu-kvm-common-rhev-2.6.0-12.el7.x86_64
qemu-kvm-rhev-debuginfo-2.6.0-12.el7.x86_64
qemu-kvm-tools-rhev-2.6.0-12.el7.x86_64

# ls
qemu-img-rhev-2.6.0-15.el7.x86_64.rpm
qemu-kvm-common-rhev-2.6.0-15.el7.x86_64.rpm
qemu-kvm-rhev-2.6.0-15.el7.x86_64.rpm
qemu-kvm-rhev-debuginfo-2.6.0-15.el7.x86_64.rpm
qemu-kvm-tools-rhev-2.6.0-15.el7.x86_64.rpm

# rpm -Uvh qemu-*
error: Failed dependencies:
	libusbx >= 1.0.19 is needed by qemu-kvm-rhev-10:2.6.0-15.el7.x86_64
	usbredir >= 0.7.1 is needed by qemu-kvm-rhev-10:2.6.0-15.el7.x86_64

# rpm -Uvh libusbx-*
Preparing...                          ################################# [100%]
Updating / installing...
   1:libusbx-1.0.20-1.el7             ################################# [ 17%]
   2:libusbx-devel-1.0.20-1.el7       ################################# [ 33%]
   3:libusbx-debuginfo-1.0.20-1.el7   ################################# [ 50%]
Cleaning up / removing...
   4:libusbx-devel-1.0.15-4.el7       ################################# [ 67%]
   5:libusbx-debuginfo-1.0.15-4.el7   ################################# [ 83%]
   6:libusbx-1.0.15-4.el7             ################################# [100%]

# rpm -Uvh usbredir-0.7.1-1.el7.x86_64.rpm 
Preparing...                          ################################# [100%]
Updating / installing...
   1:usbredir-0.7.1-1.el7             ################################# [ 50%]
Cleaning up / removing...
   2:usbredir-0.6-7.el7               ################################# [100%]

# rpm -Uvh qemu-*
Preparing...                          ################################# [100%]
Updating / installing...
   1:qemu-kvm-common-rhev-10:2.6.0-15.################################# [ 10%]
   2:qemu-img-rhev-10:2.6.0-15.el7    ################################# [ 20%]
   3:qemu-kvm-rhev-10:2.6.0-15.el7    ################################# [ 30%]
   4:qemu-kvm-tools-rhev-10:2.6.0-15.e################################# [ 40%]
   5:qemu-kvm-rhev-debuginfo-10:2.6.0-################################# [ 50%]
Cleaning up / removing...
   6:qemu-kvm-rhev-10:2.6.0-12.el7    ################################# [ 60%]
   7:qemu-kvm-tools-rhev-10:2.6.0-12.e################################# [ 70%]
   8:qemu-kvm-rhev-debuginfo-10:2.6.0-################################# [ 80%]
   9:qemu-img-rhev-10:2.6.0-12.el7    ################################# [ 90%]
  10:qemu-kvm-common-rhev-10:2.6.0-12.################################# [100%]

# /usr/libexec/qemu-kvm -version
QEMU emulator version 2.6.0 (qemu-kvm-rhev-2.6.0-15.el7), Copyright (c) 2003-2008 Fabrice Bellard

Comment 13 errata-xmlrpc 2016-11-07 21:22:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.